# How to Create a New Persistent Volume Claim use CLI

{% hint style="success" %}
For more information, you need to download the preconfig cube through the Deka GPU Service Portal, click [this link](/guidance-for-individual/deka-gpu/deka-gpu-kubernetes/dashboard/download-kube-config.md).
{% endhint %}

{% hint style="success" %}
To set up the kubeconfig, you need kubectl that matches your computer's operating system. If you are using Windows click [this link](/guidance-for-individual/reference/how-to-use-kubeconfig-on-windows.md), and if you are using Linux click [this link](/guidance-for-individual/reference/how-to-use-kubeconfig-on-linux.md).
{% endhint %}

To create a Persistent Volume Claims through the CLI by running the following syntax.

```bash
nano pvc.yaml
```

You can customize the **name** on line 4, **storageClassName** on line 7 with **storage-mgmt**, and the **storage size** on line 12.

{% code lineNumbers="true" %}

```yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: persistentvolumeclaim-o4il3
  namespace: default
spec:
  storageClassName: manual
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
```

{% endcode %}

To apply the configuration to pvc.yaml , you need to run the following syntax.

```bash
kubectl apply -f pvc.yaml
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/guidance-for-individual/deka-gpu/deka-gpu-kubernetes/storages/persistent-volume-claims/how-to-create-a-new-persistent-volume-claim-use-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
